[arch-commits] Commit in python-openstacksdk/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Mar 15 17:12:50 UTC 2018


    Date: Thursday, March 15, 2018 @ 17:12:50
  Author: felixonmars
Revision: 308613

upgpkg: python-openstacksdk 0.12.0-1

Modified:
  python-openstacksdk/trunk/PKGBUILD

----------+
 PKGBUILD |   36 ++++++++++++++++++++++++------------
 1 file changed, 24 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-03-15 17:01:31 UTC (rev 308612)
+++ PKGBUILD	2018-03-15 17:12:50 UTC (rev 308613)
@@ -4,7 +4,7 @@
 
 pkgbase=python-openstacksdk
 pkgname=(python-openstacksdk python2-openstacksdk)
-pkgver=0.9.19
+pkgver=0.12.0
 pkgrel=1
 pkgdesc="An SDK for building applications to work with OpenStack"
 arch=('any')
@@ -11,12 +11,19 @@
 url="http://developer.openstack.org/sdks/python/openstacksdk"
 license=('Apache')
 makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-jsonpatch'
-             'python2-jsonpatch' 'python-stevedore' 'python2-stevedore' 'python-keystoneauth1'
-             'python2-keystoneauth1' 'python-os-client-config' 'python2-os-client-config'
-             'python-deprecation' 'python2-deprecation')
-checkdepends=('python-testrepository' 'python2-testrepository' 'python-mock' 'python2-mock')
+             'python2-jsonpatch' 'python-appdirs' 'python2-appdirs' 'python-keystoneauth1'
+             'python2-keystoneauth1' 'python-os-service-types' 'python2-os-service-types'
+             'python-deprecation' 'python2-deprecation' 'python-requestsexceptions'
+             'python2-requestsexceptions' 'python-yaml' 'python2-yaml' 'python-decorator'
+             'python2-decorator' 'python-jmespath' 'python2-jmespath' 'python2-ipaddress'
+             'python2-futures' 'python-iso8601' 'python2-iso8601' 'python-netifaces'
+             'python2-netifaces' 'python-dogpile.cache' 'python2-dogpile.cache' 'python-munch'
+             'python2-munch')
+checkdepends=('python-stestr' 'python2-stestr' 'python-mock' 'python2-mock' 'python-requests-mock'
+              'python2-requests-mock' 'python-oslotest' 'python2-oslotest' 'python-jsonschema'
+              'python2-jsonschema')
 source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/python-openstacksdk/archive/$pkgver.tar.gz")
-sha512sums=('78e72d0111fb462e4211f415e490064022c3ec6d4b3370d109385776eac13a2c1f43c6d89bce69e0cd10a18e88385e44bb6741b9f8aaf499f0bf994c53366623')
+sha512sums=('b2a1d18f41fc1f8aba22860626d326050bfe67f617b9bc2dced50a04717f923917fda890def5ca4e3b30c9f0370dd625211daf6f77e78ff882fe6bcf455182ec')
 
 prepare() {
   cp -a python-openstacksdk-$pkgver{,-py2}
@@ -34,15 +41,17 @@
 
 check() {
   cd "$srcdir"/python-openstacksdk-$pkgver
-  python setup.py testr || warning "Tests failed"
+  stestr run || warning "Tests failed"
 
   cd "$srcdir"/python-openstacksdk-$pkgver-py2
-  PYTHON=python2 python2 setup.py testr
+  stestr2 run || warning "Tests failed"
 }
 
 package_python-openstacksdk() {
-  depends=('python-six' 'python-pbr' 'python-jsonpatch' 'python-stevedore' 'python-keystoneauth1'
-           'python-os-client-config' 'python-deprecation')
+  depends=('python-six' 'python-pbr' 'python-jsonpatch' 'python-appdirs' 'python-keystoneauth1'
+           'python-os-service-types' 'python-deprecation' 'python-requestsexceptions'
+           'python-decorator' 'python-jmespath' 'python-iso8601' 'python-netifaces'
+           'python-dogpile.cache' 'python-munch')
 
   cd "$srcdir"/python-openstacksdk-$pkgver
   python setup.py install --root="$pkgdir" --optimize=1
@@ -49,8 +58,11 @@
 }
 
 package_python2-openstacksdk() {
-  depends=('python2-six' 'python2-pbr' 'python2-jsonpatch' 'python2-stevedore'
-           'python2-keystoneauth1' 'python2-os-client-config' 'python2-deprecation')
+  depends=('python2-six' 'python2-pbr' 'python2-jsonpatch' 'python2-appdirs'
+           'python2-keystoneauth1' 'python2-os-service-types' 'python2-deprecation'
+           'python2-requestsexceptions' 'python2-decorator' 'python2-jmespath' 'python2-ipaddress'
+           'python2-futures' 'python2-iso8601' 'python2-netifaces' 'python2-dogpile.cache'
+           'python2-munch')
 
   cd "$srcdir"/python-openstacksdk-$pkgver-py2
   python2 setup.py install --root="$pkgdir" --optimize=1



More information about the arch-commits mailing list